pbs_rmget(8B)

NAME
pbs_rmget - queries MOM for resource values

SYNOPSIS
pbs_rmget [-m MOM name] [-p port] [resource list]

DESCRIPTION
The pbs_rmget command uses the resource monitor interface to query the MOM for resource values.

OPTIONS

-m MOM name
    The MOM name (hostname) to query. If the MOM name is not specified, the MOM on the current host is queried.

-p port
    Specifies the MOM's RM port to query. If the port is not specified, the default port is queried.

OPERANDS

resource list
    Space-separated list of one or more resources. If no resource list is given, the pbs_rmget command returns its usage.

OUTPUT
Given pbs_rmget RES_A RES_B, the output is:
    [0] RES_A=<value of RES_A>
    [1] RES_B=<value of RES_B>
Querying a nonexistent resource:
Given pbs_rmget RES_C, where RES_C is nonexistent, the output is:
    [0] RES_C=? 15201

EXIT STATUS

0   Success

1   if MOM name, option, or port is unrecognized. A message is printed to standard error.

ERROR MESSAGES
If the pbs_rmget command fails to open a connection to the MOM name given in the -m option:
    "Unable to open connection to mom: <MOM name>, <MOM port>"
The default MOM port is reported as zero.
If the pbs_rmget command fails to get a message back from MOM:
    "Error getting response <resource request> from mom."

SEE ALSO
The PBS Professional External Reference Specification, The PBS Professional Administrator's Guide,
rm(3B), pbs_mom(8B), pbs_tclsh(8B)